#-#-#-#-#-#-#-#-#-#-#-#-#-#
#  Player Mobs - 1.21     #
#  Tijd4Jan               #
#-#-#-#-#-#-#-#-#-#-#-#-#-#

execute unless entity @a[scores={pm_spawnable=0}] run scoreboard players set * pm_spawnable 1

## Triggers
scoreboard players enable @a pm_options
tellraw @a[scores={pm_options=1..}] [{"text":"-- Player Mobs Options --\n\n","italic":true,"color":"green"},{"text":"Enable Player Mobs? - ","color":"white","italic":false},{"text":"[YES] ","color":"green","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * pm_spawnable 1"}},{"text":"[NO] ","color":"red","italic":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * pm_spawnable 0"}}]
scoreboard players reset @a[scores={pm_options=1..}] pm_options

## Spawn Player Mobs
execute unless entity @a[scores={pm_spawnable=0}] as @e[type=skeleton,tag=!PlayerMob,tag=!Generic] at @s run function player_mobs:convert/deadlyramses
execute unless entity @a[scores={pm_spawnable=0}] as @e[type=zombie,tag=!PlayerMob,tag=!Generic] at @s if biome ~ ~ ~ #player_mobs:fleru_neorg_spawnable run function player_mobs:convert/neorg_313
execute unless entity @a[scores={pm_spawnable=0}] as @e[type=creeper,tag=!PlayerMob,tag=!Generic] at @s if biome ~ ~ ~ #player_mobs:vamen_spawnable run function player_mobs:convert/vamen
execute unless entity @a[scores={pm_spawnable=0}] as @e[type=zombified_piglin,tag=!PlayerMob,tag=!Generic] at @s if biome ~ ~ ~ #player_mobs:noanerd_spawnable run function player_mobs:convert/noa_lovegood
execute unless entity @a[scores={pm_spawnable=0}] as @e[type=enderman,tag=!PlayerMob,tag=!Generic] at @s run function player_mobs:convert/twockx

## Drink Potion
execute as @a[nbt={SelectedItem:{id:"minecraft:potion",components:{"minecraft:potion_contents":{"custom_color":9866106}}}}] at @s run scoreboard players set @s minePotionInHand 1
execute at @a[scores={drankPotion=1..,minePotionInHand=1}] run function player_mobs:potion/miners_potion

execute unless entity @a[nbt={SelectedItem:{id:"minecraft:potion",components:{"minecraft:potion_contents":{"custom_color":9866106}}}}] run scoreboard players set @a minePotionInHand 0
scoreboard players set @a drankPotion 0

execute as @a[scores={minePotionEffect=1}] at @s run data merge entity @e[type=warden,limit=1,distance=..10] {NoAI:1b,Invulnerable:1b}
execute as @a[scores={minePotionEffect=0}] at @s run data merge entity @e[type=warden,limit=1,distance=..10] {NoAI:0b,Invulnerable:0b}
execute as @a[scores={minePotionEffect=1}] at @s run function player_mobs:potion/potion_of_sensing

execute as @a[scores={minePotionTime=20000000..20009600}] at @s run scoreboard players set @a minePotionEffect 1
execute as @a[scores={minePotionTime=20009600..}] at @s run scoreboard players set @a minePotionEffect 0
execute as @a[scores={minePotionTime=20009600..}] at @s run scoreboard players set @a minePotionTime 0

gamerule doMobLoot true

## Player Mobs Installed
scoreboard players set @a playerMobs 1